classification
Title: socketserver: use selectors module
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: neologix, pitrou, python-dev, vstinner
Priority: normal Keywords: patch

Created on 2014-03-23 20:17 by neologix, last changed 2014-04-29 15:37 by neologix. This issue is now closed.

Files
File name Uploaded Description Edit
socketserver_use_selectors.diff neologix, 2014-03-23 20:17 review
socketserver_use_selectors-1.diff neologix, 2014-03-23 20:24 review
Messages (4)
msg214631 - (view) Author: Charles-Fran├žois Natali (neologix) * (Python committer) Date: 2014-03-23 20:17
This patch updates the socketserver module to use selectors.
It's simpler, will use poll() when available, and also fixes a bug where the timeout would not be recomputed upon EINTR.

Note that I removed an EINTR-handling test from test_socketserver because test_selectors already covers this in a more clean and robust way.
msg214731 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2014-03-24 21:28
I sent a review on Rietveld.
msg214750 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2014-03-24 22:26
New changeset 3047db8f6126 by Charles-Fran├žois Natali in branch 'default':
Issue #21040: socketserver: Use the selectors module.
http://hg.python.org/cpython/rev/3047db8f6126
msg217523 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2014-04-29 15:22
Shouldn't this issue be closed?
History
Date User Action Args
2014-04-29 15:37:41neologixsetstatus: open -> closed
2014-04-29 15:22:00pitrousetmessages: + msg217523
2014-03-25 08:13:38neologixsetresolution: fixed
stage: patch review -> resolved
2014-03-24 22:26:59python-devsetnosy: + python-dev
messages: + msg214750
2014-03-24 21:28:10vstinnersetmessages: + msg214731
2014-03-23 20:24:31neologixsetfiles: + socketserver_use_selectors-1.diff
2014-03-23 20:17:05neologixcreate